org.apache.lucene.luke.app.desktop

## Class LukeMain

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.LukeMain

    public class LukeMain
    extends Object

Entry class for desktop Luke

### Field Summary

Fields
`static String` `LOG_FILE`

### Constructor Summary

Constructors
Constructor and Description
`LukeMain()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JFrame` `getOwnerFrame()`
`static void` `main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG_FILE

    public static final String LOG_FILE

### Constructor Detail

#### LukeMain

    public LukeMain()

### Method Detail

#### getOwnerFrame

    public static JFrame getOwnerFrame()

#### main

    public static void main(String[] args)
                     throws Exception

Throws:
  `Exception`